
(require 'compile)

(defvar log4-hi-keywords
  '(("FATAL\\|ERROR" . compilation-error-face)
    ("WARN" . compilation-warning-face)
    ("INFO\\|DEBUG\\|TRACE" . compilation-info-face) ))

(define-minor-mode log4-hi-mode
  "Highlight standard elements in log4* like log-files."
  nil " log4-hi" nil
  :global nil
  (message "%s" log4-hi-mode)
  (catch 'exit
    (when log4-hi-mode
      (font-lock-mode 1)
      (font-lock-add-keywords nil log4-hi-keywords)
      (throw 'exit nil))
    (font-lock-remove-keywords nil log4-hi-keywords))
  (font-lock-fontify-buffer))

